body {
    background-color: #f7f7f7;
    margin: 0;
}
a {
    text-decoration: none !important;
}
ul {
    list-style: none;
    margin: 0;
}
a, li, p, h1, h2, h3, h4, h5 {
    font-family: Lato,sans-serif;
}

h1, h2, h3, h4, h5 {
    color: #000000cc;
}

.bold {
    font-weight: bold;
}

.lite {
    font-weight: 300;
}

hr {
    border-top: 1px solid #0098d0;
    margin-top: 15px;
    margin-bottom: 15px;
}

.pos-relative {
    position: relative;
}

.pos-absolute {
    position: absolute;
}

.top {
    top: 0;
}

.right {
    right: 0;
}

.bottom {
    bottom: 0;
}

.bottom-20 {
    bottom: -20px;
}

.left {
    left: 0;
}

.left-20 {
    left: -20px;
}

.vertical-line {
    height: 100%;
    width: 1px;
    background-color: black;
}

.center {
    text-align: center;
}

.width-100-percentage {
    width: 100% !important;
}

/*-----*/

.btn, .btn-mini {
    height: 36px;
    background: #0098d0;
    border-radius: 3px;
    color: #fff;
    padding: 8px 14px;
    text-transform: uppercase;
    font-size: 14px;
}
.btn:hover, .btn-mini:hover {
    background: #00abe6;
    color: #fff;
}
.btn i, .btn-mini i {
    margin-right: 5px;
}

.btn-mini {
    display: inline-block;
    height: 20px;
    padding: 2px 10px;
    font-size: 12px;
}

.yellow-btn {
    background: #ff8300;
    color: white !important;
}
.yellow-btn:hover {
    background: #ff9e12;
}

/*-----*/

.margin-b-5 {
    margin-bottom: 5px;
}

.margin-b-10 {
    margin-bottom: 10px;
}

.margin-b-15 {
    margin-bottom: 15px;
}

.margin-b-20 {
    margin-bottom: 20px;
}

.margin-b-30 {
    margin-bottom: 30px;
}

/*-----*/

.inp, .t-area  {
    border-radius: 3px;
    border: 1px solid #929292;
    height: 36px;
    font-size: 16px;
    box-shadow: none;
    padding-left: 10px;
}

.t-area {
    height: 55px;
    width: 100%;
}

/*-----*/

.flex-left {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.flex-right {
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
    flex-wrap: wrap;
}

.flex-start-space-between {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
}

/*-----*/

.base-container {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;
}

.base-container .content-wrapper {
    width: 990px;
}

.page-content {
    padding-bottom: 60px;
}

/*-----*/

.transition-element-03s {
    -webkit-transition-property: all;
    -webkit-transition-duration: 0.3s;
    -moz-transition-property: all;
    -moz-transition-duration: 0.3s;

    transition-property: all;
    transition-duration: 0.3s;
}

.transition-element-05s {
    -webkit-transition-property: all;
    -webkit-transition-duration: 0.5s;
    -moz-transition-property: all;
    -moz-transition-duration: 0.5s;

    transition-property: all;
    transition-duration: 0.5s;
}

.transition-element-1s {
    -webkit-transition-property: all;
    -webkit-transition-duration: 1s;
    -moz-transition-property: all;
    -moz-transition-duration: 1s;
    transition-property: all;
    transition-duration: 1s;
}

.transition-element-5s {
    -webkit-transition-property: all;
    -webkit-transition-duration: 5s;
    -moz-transition-property: all;
    -moz-transition-duration: 5s;
    transition-property: all;
    transition-duration: 5s;
}

/*-----*/



/*-----HEADER START-----*/

header {
    background-color: white;
    border-bottom: 1px solid #f0f0f0;
}
header.base-container .content-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    height: 62px;
}

/*-----*/

header ul.main-menu li {
    display: inline;
    margin: 0 10px;
}
header ul.main-menu li a {
    color: #0098d0;
    font-size: 14px;
    font-weight: 400;
}
header ul.main-menu li:first-child {
    margin-left: 0;
}
header ul.main-menu li:last-child {
    margin-right: 0;
}

header .logo-wrapper {
    position: relative;
}

header .logo-wrapper img {
    position: absolute;
    left: 0;
    top: -20px;
    width: 65px;
}

/*-----HEADER END-----*/
/*-----FOOTER START-----*/

footer {
    position: fixed;
    left: 0;
    bottom: 0;
    height: 70px;
    width: 100%;
    background: rgba(0,0,0,.7);
    padding-top: 10px;
}

/*-----FOOTER END-----*/
/*-----HOME START-----*/

.home-page {
    padding: 25px 0 50px 0;
}

/*--categories--*/
.work {
    background-color: #9acd32;
}
.st_prog {
    background-color: greenyellow;
}
.st_en {
    background-color: burlywood;
}
.eat {
    background-color: orangered;
}
.home {
    background-color: #8f43c7;
}
.d_slp {
    background-color: #5eb5e0;
}
.n_slp {
    background-color: #3372dc;
}
.read {
    background-color: #8d7451;
}
.lf_plan {
    background-color: cyan;
}
.gym {
    background-color: #AAAAAA;
}
.mv_city {
    background-color: yellow;
}
.game {
    background-color: pink;
}
.do_nth {
    background-color: white;
}
.rest_ac {
    background-color: fuchsia;
}

.pr_improv {
    background-color: #cf2864;
}

.ph_call {
    background-color: #c98805;
}

.transparent_bg {
    background-color: #ffffff00;
}

/*--------------*/

.left-g24-1 {
    left: 4.16%;
}

.left-g24-2, .left-g12-1 {
    left: 8.33%;
}

.left-g24-3 {
    left: 12.5%;
}

.left-g24-4, .left-g12-2 {
    left: 16.66%;
}

.left-g24-5 {
    left: 20.83%;
}

.left-g24-6, .left-g12-3 {
    left: 25%;
}

.left-g24-7 {
    left: 29.16%;
}

.left-g24-8, .left-g12-4 {
    left: 33.33%;
}

.left-g24-9 {
    left: 37.5%;
}

.left-g24-10, .left-g12-5 {
    left: 41.66%;
}

.left-g24-11 {
    left: 45.83%;
}

.left-g24-12, .left-g12-6 {
    left: 50%;
}

.left-g24-13 {
    left: 54.16%;
}

.left-g24-14, .left-g12-7 {
    left: 58.33%;
}

.left-g24-15 {
    left: 62.5%;
}

.left-g24-16, .left-g12-8 {
    left: 66.66%;
}

.left-g24-17 {
    left: 70.83%;
}

.left-g24-18, .left-g12-9 {
    left: 75%;
}

.left-g24-19 {
    left: 79.16%;
}

.left-g24-20, .left-g12-10 {
    left: 83.33%;
}

.left-g24-21 {
    left: 87.5%;
}

.left-g24-22, .left-g12-11 {
    left: 91.66%;
}

.left-g24-23 {
    left: 95.83%;
}

.left-g24-24, .left-g12-12 {
    left: 100%;
}

/*--------------*/

.time-blocks-wrapper {
    padding: 18px 15px;
    border-radius: 5px;
    background-color: rgb(230 230 230);
}

.two-column-wrapper {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    flex-wrap: wrap;
}

.two-column-wrapper .column {
    position: relative;
    width: calc(50% - 5px);
    border: 2px solid #b9b9b9;
    border-radius: 15px;
    padding-bottom: 10px;
}

.two-column-wrapper .column table {
    width: 100%;
}

/*-----*/

.time-management-table {}

.time-management-table tr {}

.time-management-table tr.main-information {
    border-top: 2px solid #b9b9b9;
}

.time-management-table tr.main-information td {
    padding-top: 5px;
}

.time-management-table tr.description td {
    padding-bottom: 5px;
}

.time-management-table tr td, .time-management-table tr th {
    padding-right: 5px;
    padding-left: 5px;
}

.time-management-table tr th {}

.time-management-table tr td {}

.time-management-table .action {
    min-width: 75px;
}

.time-management-table .action .fas {
    font-size: 10px;
    color: white;
    cursor: pointer;
}

.time-management-table .action .fas.fa-minus, .time-management-table tr.description {
    display: none;
}

.resize {
    position: absolute;
    right: 10px;
    top: 5px;
    width: 28px;
    font-size: 10px;
    line-height: 16px;
    border: 1px solid #b9b9b9;
    padding: 4px 0 3px 0;
    border-radius: 50%;
    background: #0098d0;
    color: white;
    cursor: pointer;
    text-align: center;
}

.resize:hover {
    background: #00abe6;
}

.resize .fas.compress {
    display: none;
    margin: 0 -1px;
}

/*-----GRAPHIX START-----*/

.loader {
    position: relative;
    height: 10px;
    margin: 10px 0;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
    z-index: 1;
}

.time-tooltip {
    display: none;
}

.loader:hover .time-tooltip {
    display: block;
}

.loader .time-tooltip {
    position: absolute;
    right: 0;
    bottom: 12px;
    font-size: 10px;
    font-weight: bold;
    padding: 3px 5px;
    background-color: white;
    border-radius: 3px;
}

.graphic-24-h .loader {
    height: 8px;
    margin: 6px 0;
    border-radius: 3px;
}

.graphic-24-h-my-schedule {
    position: relative;
    height: 20px;
}

.graphic-24-h-my-schedule .loader {
    position: absolute;
    border-radius: 0;
    margin: 4px 0 0 0;
}

.graphic-wrapper {
    padding: 1px 20px;
}

.graphic-default {
    border: 2px solid #b9b9b9;
}

.graphic-default .scale-text {
    font-size: 10px;
}

.time-category {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 6px;
}

.time-category .category-color {
    width: 20px;
    height: 20px;
    border-radius: 5px;
}

.time-category .category-time-summary {
    width: calc(100% - 25px);
}

form.create-new-interval {
    border: 2px solid #b9b9b9;
    border-radius: 15px;
    width: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

#dates a {
    margin: 0 10px;
}

#dates a.active {
    color: #05f70d;
    font-weight: bold;
    border: 2px solid #05f70d;
    padding: 4px 8px;
    border-radius: 6px;
}

#search-date input {
    height: 36px;
    width: 110px;
    font-size: 16px;
}

#search-date button {
    margin-top: -2px;
}

/*-----GRAPHIX END-------*/
/*--------------*/


/*-----HOME END-----*/
/*-----SEARCH START-----*/

form.search-block {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 18px 15px;
    background-color: rgb(0, 152, 208);
    border-radius: 5px;
}

form.search-block input {
    width: calc(50% - 75px);
}

form.search-block button {
    width: 115px;
    background-color: #4faeef;
}

form.search-block button:hover {
    background-color: #55b8ff;
}

.search-results {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 25px 0;
}

.search-results .company-tile {
    position: relative;
    width: calc(33% - 30px);
    height: 375px;
    background-color: white;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 5px 20px rgba(0,0,0,0.6);
    margin-bottom: 35px;
}

.search-results .company-tile:hover {
    background-color: #f6f6f6;
    margin-top: -10px;
    box-shadow: 0 15px 25px rgba(0,0,0,0.6);
}

.search-results .company-tile .img-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    height: 140px;
    overflow: hidden;
}

.search-results .company-tile .img-wrapper img {
    width: 100% !important;
}

.search-results .company-tile .name {
    background-color: #4faeef;
    color: white;
    padding: 5px 10px;
    font-size: 14px;
    font-weight: bold;
}

.search-results .company-tile .description {
    padding: 10px 10px 60px 10px;
    height: 195px;
}

.search-results .company-tile .btn-wrapper {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 60px;
}

/*-----SEARCH END-----*/
/*-----ADD COMPANY START-----*/

.add-company-page {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;
}

.add-company-page .form-wrapper {
    width: 500px;
}

.add-company-page form.add-company {
    padding: 22px 15px;
    background-color: rgb(0, 152, 208);
    border-radius: 5px;
}

.add-company-page form.add-company input.inp, .add-company-page form.add-company textarea.t-area {
    width: 100%;
    margin-bottom: 16px;
}

.add-company-page form.add-company textarea.t-area {
    margin-bottom: 10px;
}

.add-company-page form.add-company label {
    color: white;
    font-weight: 400;
}

.add-company-page form.add-company .two-column {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
}

.add-company-page form.add-company .two-column > div {
    width: calc(50% - 8px);
}

.add-company-page form.add-company .two-column input.inp {
    width: 100%;
}

.add-company-page form.add-company .flex-right {
    padding-top: 20px;
}

.add-company-page form.add-company .flex-right button.btn {
    padding: 8px 30px;
}

/*-----ADD COMPANY END-----*/
/*-----COMPANY DETAIL START-----*/

.company-detail {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 16px;
    background-color: #f6f6f6 !important;
}

.company-detail .image {
    width: 400px;
}

.company-detail .image img {
    width: 100%;
}

.company-detail .detail {
    width: calc(100% - 420px);
    padding: 10px 0;
}

.company-detail .company-description {
    width: 100%;
    padding-top: 16px;
    font-size: 16px;
    line-height: 24px;
    text-align: justify;
}

/*-----*/

.comments-block {
    width: 630px;
}

.company-detail, .comments-block .company-comment, form.add-comment {
    border: 1px solid #e9e9e9;
    border-radius: 4px;
    background-color: #f5f5f5;
}

.comments-block .company-comment {
    margin-bottom: 15px;
}

.comments-block .company-comment .cm-header,
.comments-block .company-comment .cm-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 8px 16px;
}

.comments-block .company-comment .cm-header {
    border-bottom: 1px solid #e9e9e9;
}

.comments-block .company-comment .cm-header .lite {
    font-size: 12px;
}

.comments-block .company-comment .cm-header .bold {
    font-size: 16px;
}

.comments-block .company-comment .cm-description {
    padding: 16px;
    font-size: 14px;
}

.comments-block .company-comment .cm-footer {
    padding-top: 0;
}

.comments-block .company-comment .cm-footer .star-block i {
    color: #ff8300;
}

/*-----*/

form.add-comment {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 24px;
}

form.add-comment > div:first-child {
    width: calc(100% - 200px);
}

form.add-comment textarea {
    height: 36px;
    resize: vertical;
}

/*-----COMPANY DETAIL END-----*/
/*-----FILE UPLOAD START-----*/

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile + label {
    height: 36px;
    max-width: 100%;
    border-radius: 3px;
    font-size: 14px;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    display: inline-block;
    overflow: hidden;
    padding: 8px 14px;
}

.no-js .inputfile + label {
    display: none;
}

.inputfile:focus + label,
.inputfile.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

.inputfile + label * {
    /* pointer-events: none; */
    /* in case of FastClick lib use */
}

.inputfile + label svg {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    fill: currentColor;
    margin-top: -0.25em;
    /* 4px */
    margin-right: 0.25em;
    /* 4px */
}

/* style 1 */

.inputfile-1 + label {
    color: #f1e5e6;
    background-color: #54aaf0;
}

.inputfile-1:focus + label,
.inputfile-1.has-focus + label,
.inputfile-1 + label:hover {
    background-color: #55b8ff;
}

@media screen and (max-width: 50em) {
    .inputfile-6 + label strong {
        display: block;
    }
}

/*-----FILE UPLOAD END-----*/

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/